net.sourceforge.pmd.lang.xpath

## Class PMDFunctions

- java.lang.Object
- - net.sourceforge.pmd.lang.xpath.PMDFunctions

-     public class PMDFunctions
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PMDFunctions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `matches(String s, String pattern1)`
    `static boolean` | `matches(String s, String pattern1, String pattern2)`
    `static boolean` | `matches(String s, String pattern1, String pattern2, String pattern3)`
    `static boolean` | `matches(String s, String pattern1, String pattern2, String pattern3, String pattern4)`
    `static boolean` | `matches(String s, String pattern1, String pattern2, String pattern3, String pattern4, String pattern5)`
    `static boolean` | `matches(String s, String pattern1, String pattern2, String pattern3, String pattern4, String pattern5, String pattern6)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PMDFunctions

          public PMDFunctions()

  - ### Method Detail

    - #### matches

          public static boolean matches(String s,
                        String pattern1)

    - #### matches

          public static boolean matches(String s,
                        String pattern1,
                        String pattern2)

    - #### matches

          public static boolean matches(String s,
                        String pattern1,
                        String pattern2,
                        String pattern3)

    - #### matches

          public static boolean matches(String s,
                        String pattern1,
                        String pattern2,
                        String pattern3,
                        String pattern4)

    - #### matches

          public static boolean matches(String s,
                        String pattern1,
                        String pattern2,
                        String pattern3,
                        String pattern4,
                        String pattern5)

    - #### matches

          public static boolean matches(String s,
                        String pattern1,
                        String pattern2,
                        String pattern3,
                        String pattern4,
                        String pattern5,
                        String pattern6)

Copyright © 2002-2013 InfoEther. All Rights Reserved.